Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 83)
@@ -377,6 +377,9 @@
                 // コンボボックス初期表示
                 InitCombBox();
 
+                // ログイン者のセット
+                InitDepPersonCode();
+
                 // 初期表示
                 InitDataLoad();
 
@@ -391,55 +394,6 @@
         }
         #endregion
 
-        #region 終了ボタンクリック
-        /// <summary>
-        /// 終了ボタンクリック
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnEnd_Click(object sender, EventArgs e)
-        {
-            if (!m_SubForm) m_CloseingProcessOn = true;
-            this.Close();
-        }
-        #endregion
-
-        #region ×ボタン
-        /// <summary>
-        /// ×ボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void FrmTAndPCosts_FormClosing(object sender, FormClosingEventArgs e)
-        {
-            try
-            {
-                if (m_bChengeAns)
-                {
-                    if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
-                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                    {
-                        e.Cancel = true;
-                        return;
-                    }
-                }
-                // サブフォーム起動はプロセスカウンタを変更しない
-                if (m_SubForm)
-                {
-                    m_CloseingProcessOn = false;
-                    ParentEnd = false;
-                }
-
-                // 終了ボタンがONならば前プロセスに戻る
-                if (m_CloseingProcessOn) ClsExcute.BackProcess();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region Windowがサイズ変更
         /// <summary>
         /// Windowがサイズ変更された
@@ -498,40 +452,162 @@
         }
         #endregion
 
-        #region 新規行作成ボタン
+        #region セル入力前処理
         /// <summary>
-        /// 新規行作成ボタン
+        /// セル入力前処理
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnTabLineNew_Click(object sender, EventArgs e)
+        private void dgvPage_CellEnter(object sender, DataGridViewCellEventArgs e)
         {
-            // 行追加処理を行った
-            CreateNewLineData();
-            m_bChengeAns = true;
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                // データグリッドがActiveでなければ処理しない
+                if (ActiveControl == null) return;
+                if (!ActiveControl.GetType().Equals(typeof(DataGridViewEX)))
+                {
+                    return;
+                }
+
+                DataGridView dgv = (DataGridView)sender;
+
+                // 読込専用セルは処理しない
+                if (dgv.CurrentCell.ReadOnly) return;
+
+                //IMEのモードを変更する
+                switch (e.ColumnIndex)
+                {
+                    case (int)DispGridColumn.PaymentContent:                    // 支払内容
+                    case (int)DispGridColumn.SuppliersName:                     // 支払先
+                        dgv.ImeMode = ImeMode.On;
+                        break;
+                    default:
+                        dgv.ImeMode = ImeMode.Disable;
+                        break;
+                }
+                // セル内容選択
+                dgv.BeginEdit(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
-        #region 行削除ボタン
+        #region セル入力後処理
         /// <summary>
-        /// データ削除ボタン
+        /// セル入力後処理
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnTabLineDel_Click(object sender, EventArgs e)
+        private void dgvPage_CellValidated(object sender, DataGridViewCellEventArgs e)
         {
-            // 対象タブページ取得
-            int CurTabCnt = TabControl1.SelectedIndex;
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
 
-            // 行削除処理を行った
-            DeleteLineData();
-            m_bChengeAns = true;
+                DataGridView dgv = (DataGridView)sender;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                // 対象タブページ取得
+                int CurTabCnt = TabControl1.SelectedIndex;
+                double CurValue = 0;
+                double CalcValue = 0;
+                switch (e.ColumnIndex)
+                {
+                    case (int)DispGridColumn.EntryPrice:
+                        CurValue = CommonMotions.cnvInt(CurCell.Value);
+                        // 税抜支払金額
+                        CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
+                        CalcValue = CommonMotions.cnvRound(CurValue * (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                        CurRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value = CalcValue.ToString("#,#");
+                        m_bChengeAns = true;
+                        // 合計を表示する
+                        TotalPrice(CurTabCnt);
+                        break;
+                    case (int)DispGridColumn.EntryPriceInTax:
+                        CurValue = CommonMotions.cnvInt(CurCell.Value);
+                        // 税込支払金額
+                        CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
+                        CalcValue = CommonMotions.cnvRound(CurValue / (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                        CurRow.Cells[(int)DispGridColumn.EntryPrice].Value = CalcValue.ToString("#,#");
+                        m_bChengeAns = true;
+                        // 合計を表示する
+                        TotalPrice(CurTabCnt);
+                        break;
+                    default:
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
-            // 合計を表示する
-            TotalPrice(CurTabCnt);
+        #region 選択セルの数値計算
+        /// <summary>
+        /// 選択中のセル値を計算して表示する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvPage_MouseUp(object sender, MouseEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = (DataGridView)sender;
+                Label lblwrk = lblCellTotal;
+
+                lblwrk.Text = string.Empty;
+
+                double dTotal = 0;
+                int DataCnt = 0;
+                int NumericCnt = 0;
+                foreach (DataGridViewCell c in dgv.SelectedCells)
+                {
+                    if (CommonMotions.chkObjectIsNull(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex])) continue;
+                    if (CommonMotions.chkCellBlank(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) continue;
+
+                    Console.WriteLine("{0}, {1}", c.ColumnIndex, c.RowIndex);
+                    DataCnt++;
+                    dTotal += CommonMotions.cnvDouble(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value);
+                    if (CommonMotions.chkNumeric(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) NumericCnt++;
+                }
+                if (DataCnt <= 1 || dTotal == 0 || NumericCnt == 0) return;
+                string strTotal = CommonMotions.cnvTruncate(dTotal).ToString("#,#");
+                if (dTotal - System.Math.Floor(dTotal) != 0) strTotal = dTotal.ToString("#,#.00");
+
+                string strwrkData = string.Format(CommonDefine.s_CalculateCellFormat,
+                                                    CommonMotions.cnvTruncate(dTotal / (double)NumericCnt).ToString("#,#"),
+                                                    DataCnt.ToString("#,#"),
+                                                    strTotal);
+                lblwrk.Text = strwrkData;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
+        #region セル値変化
+        /// <summary>
+        /// セル値変化
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvPage_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
         #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
@@ -581,153 +657,86 @@
         }
         #endregion
 
-        int cmbDepartment_index = -1;
-        #region 部署コンボボックス変更前取得
+        #region 終了ボタンクリック
         /// <summary>
-        /// 部署コンボボックス変更前取得
+        /// 終了ボタンクリック
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbDepartment_Enter(object sender, EventArgs e)
+        private void btnEnd_Click(object sender, EventArgs e)
         {
-            cmbDepartment_index = cmbDepartment.SelectedIndex;
+            if (!m_SubForm) m_CloseingProcessOn = true;
+            this.Close();
         }
         #endregion
 
-        #region 部署コンボボックス変更
+        #region ×ボタン
         /// <summary>
-        /// 部署コンボボックス変更
+        /// ×ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        private void FrmTAndPCosts_FormClosing(object sender, FormClosingEventArgs e)
         {
-            if (m_bInitFlg) return;
-
-            if (m_bChengeAns)
+            try
             {
-                if (MessageBox.Show("データに変更があります、登録せずに部署を変更しますか？。"
-                                , "部署変更確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                if (m_bChengeAns)
                 {
-                    cmbDepartment.SelectedIndex = cmbDepartment_index;
-                    return;
+                    if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        e.Cancel = true;
+                        return;
+                    }
                 }
-            }
-
-            // 担当者コンボボックスをセットする
-            SetcombBoxPerson();
-
-            // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
-            {
-                // データを表示する
-                SetGridData(ix);
-
-                // 参照時はロックする
-                if (m_EditLock) SeeModeLock(ix, true);
-            }
-
-            // データ変更フラグクリア
-            m_bChengeAns = false;
-        }
-        #endregion
-
-        int cmbConstructionPerson_index = -1;
-        #region 担当者コンボボックス変更前取得
-        /// <summary>
-        /// 担当者コンボボックス変更前取得
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void cmbConstructionPerson_Enter(object sender, EventArgs e)
-        {
-            cmbConstructionPerson_index = cmbConstructionPerson.SelectedIndex;
-        }
-        #endregion
-
-        #region 担当者コンボボックス変更
-        /// <summary>
-        /// 担当者コンボボックス変更
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
-        {
-            if (m_bInitFlg) return;
-
-            if (m_bChengeAns)
-            {
-                if (MessageBox.Show("データに変更があります、登録せずに担当者を変更しますか？。"
-                                , "担当者変更確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                // サブフォーム起動はプロセスカウンタを変更しない
+                if (m_SubForm)
                 {
-                    cmbConstructionPerson.SelectedIndex = cmbConstructionPerson_index;
-                    return;
+                    m_CloseingProcessOn = false;
+                    ParentEnd = false;
                 }
+
+                // 終了ボタンがONならば前プロセスに戻る
+                if (m_CloseingProcessOn) ClsExcute.BackProcess();
             }
-            SetPerosonToDepartment();
-            // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            catch (System.Exception ex)
             {
-                // データを表示する
-                SetGridData(ix);
-
-                // 参照時はロックする
-                if (m_EditLock) SeeModeLock(ix, true);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // データ変更フラグクリア
-            m_bChengeAns = false;
         }
         #endregion
 
-        int comboBox1_index = -1;
-        #region 対象年月コンボボックス変更前取得
+        #region 新規行作成ボタン
         /// <summary>
-        /// 対象年月コンボボックス変更前取得
+        /// 新規行作成ボタン
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void comboBox1_Enter(object sender, EventArgs e)
+        private void btnTabLineNew_Click(object sender, EventArgs e)
         {
-            comboBox1_index = comboBox1.SelectedIndex;
+            // 行追加処理を行った
+            CreateNewLineData();
+            m_bChengeAns = true;
         }
         #endregion
 
-        #region 対象年月コンボボックス変更
+        #region 行削除ボタン
         /// <summary>
-        /// 対象年月コンボボックス変更
+        /// データ削除ボタン
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
+        private void btnTabLineDel_Click(object sender, EventArgs e)
         {
-            if (m_bInitFlg) return;
+            // 対象タブページ取得
+            int CurTabCnt = TabControl1.SelectedIndex;
 
-            if (m_bChengeAns)
-            {
-                if (MessageBox.Show("データに変更があります、登録せずに年月を変更しますか？。"
-                                , "対象年月変更確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                {
-                    comboBox1.SelectedIndex = comboBox1_index;
-                    return;
-                }
-            }
+            // 行削除処理を行った
+            DeleteLineData();
+            m_bChengeAns = true;
 
-            // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
-            {
-                // データを表示する
-                SetGridData(ix);
-
-                // 参照時はロックする
-                if (m_EditLock) SeeModeLock(ix, true);
-            }
-
-            // データ変更フラグクリア
-            m_bChengeAns = false;
+            // 合計を表示する
+            TotalPrice(CurTabCnt);
         }
         #endregion
 
@@ -780,7 +789,7 @@
                     dgvRow.Cells[i].Value = string.Empty;
                     if (i == e.ColumnIndex) dgvRow.Cells[i].Value = s_SelectButton;
                 }
-                
+
                 // 対象タブページ取得
                 int CurTabCnt = TabControl1.SelectedIndex;
                 // 合計を表示する
@@ -862,7 +871,7 @@
                 int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
                 if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
             }
-            
+
             // 一般ユーザーは登録後終了する
             if (bSelFlg)
             {
@@ -921,160 +930,154 @@
         }
         #endregion
 
-        #region セル入力前処理
+        int cmbDepartment_index = -1;
+        #region 部署コンボボックス変更前取得
         /// <summary>
-        /// セル入力前処理
+        /// 部署コンボボックス変更前取得
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvPage_CellEnter(object sender, DataGridViewCellEventArgs e)
+        private void cmbDepartment_Enter(object sender, EventArgs e)
         {
-            try
+            cmbDepartment_index = cmbDepartment.SelectedIndex;
+        }
+        #endregion
+
+        #region 部署コンボボックス変更
+        /// <summary>
+        /// 部署コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+
+            if (m_bChengeAns)
             {
-                // 参照時は処理しない
-                if (m_EditLock) return;
-
-                // データグリッドがActiveでなければ処理しない
-                if (ActiveControl == null) return;
-                if (!ActiveControl.GetType().Equals(typeof(DataGridViewEX)))
+                if (MessageBox.Show("データに変更があります、登録せずに部署を変更しますか？。"
+                                , "部署変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
+                    cmbDepartment.SelectedIndex = cmbDepartment_index;
                     return;
                 }
+            }
 
-                DataGridView dgv = (DataGridView)sender;
+            // 担当者コンボボックスをセットする
+            SetcombBoxPerson();
 
-                // 読込専用セルは処理しない
-                if (dgv.CurrentCell.ReadOnly) return;
+            // データ表示
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            {
+                // データを表示する
+                SetGridData(ix);
 
-                //IMEのモードを変更する
-                switch (e.ColumnIndex)
-                {
-                    case (int)DispGridColumn.PaymentContent:                    // 支払内容
-                    case (int)DispGridColumn.SuppliersName:                     // 支払先
-                        dgv.ImeMode = ImeMode.On;
-                        break;
-                    default:
-                        dgv.ImeMode = ImeMode.Disable;
-                        break;
-                }
-                // セル内容選択
-                dgv.BeginEdit(true);
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
             }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
 
-        #region セル入力後処理
+        int cmbConstructionPerson_index = -1;
+        #region 担当者コンボボックス変更前取得
         /// <summary>
-        /// セル入力後処理
+        /// 担当者コンボボックス変更前取得
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvPage_CellValidated(object sender, DataGridViewCellEventArgs e)
+        private void cmbConstructionPerson_Enter(object sender, EventArgs e)
         {
-            try
-            {
-                // 参照時は処理しない
-                if (m_EditLock) return;
-
-                DataGridView dgv = (DataGridView)sender;
-                DataGridViewRow CurRow = dgv.CurrentRow;
-                DataGridViewCell CurCell = dgv.CurrentCell;
-                // 対象タブページ取得
-                int CurTabCnt = TabControl1.SelectedIndex;
-                double CurValue = 0;
-                double CalcValue = 0;
-                switch (e.ColumnIndex)
-                {
-                    case (int)DispGridColumn.EntryPrice:
-                        CurValue = CommonMotions.cnvInt(CurCell.Value);
-                        // 税抜支払金額
-                        CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
-                        CalcValue = CommonMotions.cnvRound(CurValue * (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
-                        CurRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value = CalcValue.ToString("#,#");
-                        m_bChengeAns = true;
-                        // 合計を表示する
-                        TotalPrice(CurTabCnt);
-                        break;
-                    case (int)DispGridColumn.EntryPriceInTax:
-                        CurValue = CommonMotions.cnvInt(CurCell.Value);
-                        // 税込支払金額
-                        CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
-                        CalcValue = CommonMotions.cnvRound(CurValue / (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
-                        CurRow.Cells[(int)DispGridColumn.EntryPrice].Value = CalcValue.ToString("#,#");
-                        m_bChengeAns = true;
-                        // 合計を表示する
-                        TotalPrice(CurTabCnt);
-                        break;
-                    default:
-                        break;
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
+            cmbConstructionPerson_index = cmbConstructionPerson.SelectedIndex;
         }
         #endregion
 
-        #region 選択セルの数値計算
+        #region 担当者コンボボックス変更
         /// <summary>
-        /// 選択中のセル値を計算して表示する
+        /// 担当者コンボボックス変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvPage_MouseUp(object sender, MouseEventArgs e)
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
         {
-            try
+            if (m_bInitFlg) return;
+
+            if (m_bChengeAns)
             {
-                DataGridView dgv = (DataGridView)sender;
-                Label lblwrk = lblCellTotal;
-
-                lblwrk.Text = string.Empty;
-
-                double dTotal = 0;
-                int DataCnt = 0;
-                int NumericCnt = 0;
-                foreach (DataGridViewCell c in dgv.SelectedCells)
+                if (MessageBox.Show("データに変更があります、登録せずに担当者を変更しますか？。"
+                                , "担当者変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
-                    if (CommonMotions.chkObjectIsNull(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex])) continue;
-                    if (CommonMotions.chkCellBlank(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) continue;
-
-                    Console.WriteLine("{0}, {1}", c.ColumnIndex, c.RowIndex);
-                    DataCnt++;
-                    dTotal += CommonMotions.cnvDouble(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value);
-                    if (CommonMotions.chkNumeric(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) NumericCnt++;
+                    cmbConstructionPerson.SelectedIndex = cmbConstructionPerson_index;
+                    return;
                 }
-                if (DataCnt <= 1 || dTotal == 0 || NumericCnt == 0) return;
-                string strTotal = CommonMotions.cnvTruncate(dTotal).ToString("#,#");
-                if (dTotal - System.Math.Floor(dTotal) != 0) strTotal = dTotal.ToString("#,#.00");
-
-                string strwrkData = string.Format(CommonDefine.s_CalculateCellFormat,
-                                                    CommonMotions.cnvTruncate(dTotal / (double)NumericCnt).ToString("#,#"),
-                                                    DataCnt.ToString("#,#"),
-                                                    strTotal);
-                lblwrk.Text = strwrkData;
             }
-            catch (Exception ex)
+            SetPerosonToDepartment();
+            // データ表示
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                // データを表示する
+                SetGridData(ix);
+
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
             }
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
 
-        #region セル値変化
+        int comboBox1_index = -1;
+        #region 対象年月コンボボックス変更前取得
         /// <summary>
-        /// セル値変化
+        /// 対象年月コンボボックス変更前取得
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvPage_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        private void comboBox1_Enter(object sender, EventArgs e)
         {
-            m_bChengeAns = true;
+            comboBox1_index = comboBox1.SelectedIndex;
         }
         #endregion
+
+        #region 対象年月コンボボックス変更
+        /// <summary>
+        /// 対象年月コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに年月を変更しますか？。"
+                                , "対象年月変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    comboBox1.SelectedIndex = comboBox1_index;
+                    return;
+                }
+            }
+
+            // データ表示
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            {
+                // データを表示する
+                SetGridData(ix);
+
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
+            }
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
+        }
+        #endregion
     }
 }
